<template>
  <div class="mobile">
    <div class="user-refer-table"
         v-if="referralRecords.length > 0">
      <div class="user-refer-table-row thead">
        <div class="user-refer-table-col email">
          <p class="text-top">{{ $t('bounty.referral.email') }}</p>
          <p class="text-bottom">/{{ $t('bounty.referral.time') }}</p>
        </div>
        <div class="user-refer-table-col tokens">
          <p class="text-top">Heta Tokens</p>
          <p class="text-bottom">/{{ $t('bounty.referral.type') }}</p>
        </div>
      </div>
      <div class="tbody">
        <div class="user-refer-table-row"
             v-for="(record, index) in referralRecords" :key="index">
          <div class="user-refer-table-col email">
            <p class="text-top">{{ record.meta_data }}</p>
            <p class="text-bottom">{{ record.created_at | formatDateUTCtoLocal }}</p>
          </div>
          <div class="user-refer-table-col tokens">
            <p class="text-top">{{ record.heta_tokens | formatCurrencyAmount('heta', '0') }}</p>
            <p class="text-bottom">{{ record.type | referralType}}</p>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import rf from '../../../../common/requests/RequestFactory';
  import moment from 'moment';

  export default {
    data () {
      return {
        referralRecords: [],
        pagination: {},
        perPage: 10,
        totalPage: 0,
        lastPage: 1,
      }
    },
    filters: {
      referralType (value) {
        return _.chain(value)
          .lowerCase()
          .upperFirst()
          .value();
      },

      formatDateUTCtoLocal(value, format = 'YYYY-MM-DD HH:mm:ss') {
        if (!value) {
          return null;
        }
        return moment(value).local().format(format);
      }
    },
    computed: {
      isVersionDesktop () {
        return this.version === 'desktop';
      },
    },
    methods: {
      getReferralProgramRecords () {
        const params = {
          'limit': this.perPage,
          'page': this.pagination.currentPage
        };

        rf.getRequest('UserRequest').getReferralProgramRecords(params)
          .then((res) => {
            this.referralRecords = res.data;
            this.totalPage = res.meta.total;
            this.lastPage = res.meta.last_page;
          });
      },
    },
    created () {
      this.getReferralProgramRecords();
    }
  }
</script>

<style lang="scss" scoped>
  @import '../../../../../sass/mobile/typoVariables.scss';
  .mobile {
    .user-refer-table {
      border: 1rem solid #ebebeb;

      .thead {
        background-color: #d8d8d8;
        padding: 7rem 12rem;
        color: $gray;

      }
      .text-top {
        margin-bottom: 6rem;
      }

      .tbody {
        padding: 20rem 12rem;
        max-height: 265rem;
        overflow-y: auto;
      }
    }
    .user-refer-table-row:after {
      content: '';
      display: table;
      clear: both;
    }
    .tbody .user-refer-table-row:not(:last-child) {
      padding-bottom: 23rem;
    }
    .user-refer-table-col {
      display: inline-block;
      line-height: 1;
      float: left;
      font-size: 13rem;
      overflow: hidden;
      text-overflow: ellipsis;
      &.email {
        width: 50%;
      }
      &.tokens {
        text-align: right;
        width: 50%;
      }

      .text-top {
        font-weight: bold;
      }

      .text-bottom {
        color: #989898;
        font-weight: normal;
      }
    }
    .product__paginate {
      display: block;
      text-align: center;
      margin-top: 10rem;
    }
  }
</style>
